#ifndef ULTRASOUND_SENSOR_HPP_
#define ULTRASOUND_SENSOR_HPP_

#include <cstdint>

class ultrasound_sensor
{
private:
	void *ultrasonic;
public:
	ultrasound_sensor(uint8_t trigger, uint8_t echo, uint8_t temprature = 20);
	ultrasound_sensor(const ultrasound_sensor &) = delete;
	ultrasound_sensor(ultrasound_sensor &&) = delete;
	uint32_t get_value() const;
	~ultrasound_sensor();
};


#endif
